package com.as.common.jwt;


import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;

import com.as.user.dao.UserData;
import com.auth0.jwt.JWT;
import com.auth0.jwt.algorithms.Algorithm;

import java.util.List;


public class TokenUtils {
	  public static String getToken(UserData user) {
	        String token="";
	        token= JWT.create().withAudience(user.getUserId().toString())
	                .sign(Algorithm.HMAC256(user.getPwd()));
	        return token;
	    }


}

